Transfer organization ownership
curl --request PATCH \
--url https://console.gmicloud.ai/api/v1/organizations/{orgId}/owner \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"newOwnerId": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
}
'import requests
url = "https://console.gmicloud.ai/api/v1/organizations/{orgId}/owner"
payload = { "newOwnerId": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({newOwnerId: 'a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11'})
};
fetch('https://console.gmicloud.ai/api/v1/organizations/{orgId}/owner', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group": "request",
"code": 0,
"validationDetail": [
{
"field": "orgId",
"expression": "uuid",
"originalValue": "orgId",
"reason": "Should be a valid UUID."
}
]
}{
"group": "organization",
"code": 0,
"message": "Organization does not exist."
}{
"group": "organization",
"code": 1200,
"message": "Get organization grouping policy encountered error.",
"traces": [
"DB error occurred."
]
}organizations
Transfer organization ownership
Transfers the ownership of an organization to another user within the organization.
- Only the current organization owner can perform this action.
- The new owner must be an existing member of the organization.
- The current owner will be demoted to a regular user after the transfer.
PATCH
/
organizations
/
{orgId}
/
owner
Transfer organization ownership
Authorizations
An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.
Path Parameters
The organization's ID.
- Must be a valid UUID.
Example:
"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
Body
application/json
The request body for transferring ownership.
The user ID of the new owner, who must be a current member of the organization.
Example:
"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
Response
Successfully transferred the organization ownership.
⌘I